com.google.gwt.user.client.ui

## Class TreeItem.TreeItemImpl

- java.lang.Object
- - com.google.gwt.user.client.ui.TreeItem.TreeItemImpl

Direct Known Subclasses:
  TreeItem.TreeItemImplIE8ToIE10

Enclosing class:
  TreeItem

    public static class TreeItem.TreeItemImpl
    extends java.lang.Object

Implementation class for `TreeItem`.

### Constructor Summary

Constructors
Constructor and Description
`TreeItemImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`(package private) void` `convertToFullNode(TreeItem item)`
`(package private) void` `initializeClonableElements()` Setup clonable elements.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeItemImpl

    public TreeItemImpl()

### Method Detail

#### convertToFullNode

    void convertToFullNode(TreeItem item)

#### initializeClonableElements

    void initializeClonableElements()

Setup clonable elements.